.content
{
  display: flex;
  flex-direction: column;
  grid-auto-flow: row;
  grid-template-rows: auto 1fr;
}

.search form
{
  padding: 0.5em;
  display: flex;
  grid-gap: 0.5em;
  flex-wrap: wrap;
}

.search form input[type=text]
{
  flex: 1;
  font-size: 1.25em;
}

.search select
{
  width: min-content;
  max-width: 12em;
  font-size: 1em;
}

.search form input[type=text],
.search select
{
  background: #eefe;
  height: 32px;
  padding: 0 0.5em;
  margin: 0;
  box-sizing: border-box;
  border: solid 1px #888a;
}

.search form .button
{
  min-width: 5em;
}

.search form label
{
  text-wrap: nowrap;
  border: 1px #8885 solid;
  border-radius: 0.25em;
  padding: 0.25em;
  display: flex;
  gap: 1em;
}

.search_title,
.results_title
{
  padding: 0.5em;
  background: linear-gradient(to right, #cce, transparent);
}

.search,
.results
{
  line-height: 2em;
}

@media(max-width: 600px)
{
  .results
  {
    line-height: 1.5em;
  }

  form
  {
    display: grid;
    grid-template-columns: 1fr min-content min-content;
  }


  form label
  {
    display: grid;
    grid-auto-flow: row;
    gap: 0;
  }

  form input[type=text]
  {
    width: 100%;
    font-size: 1.25em;
  }
  
  select
  {
    max-width: 7em;
  }
}

.results
{
  flex: 1;
  display: grid;
  grid-auto-flow: row;
  grid-template-rows: auto 1fr auto;
}

.pagination 
{
  display: flex;
  grid-gap: 0.5em;
  padding: 0.5em;
}

.pagination .page
{
  min-width: 3em;
  text-align: center;
  border: 1px solid gray;
  text-decoration: none;
  padding: 0.25em;
}

.pagination .page.current
{
  pointer-events: none;
  background: #fdd;
  border: 1px solid black;
}
